package cn.zhangdeman.context;

import cn.zhangdeman.consts.RecordField;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;
import jakarta.servlet.http.HttpServletRequest;
import lombok.Getter;
import lombok.Setter;

import java.util.Map;

// 请求相关数据
@Getter
@Setter
@JsonIgnoreProperties(ignoreUnknown = true) // 忽略未知属性字段
public class Request {
    @JsonProperty(RecordField.REQUEST_UA)
    private String userAgent; // 客户端ua
    @JsonProperty(RecordField.REQUEST_CLIENT_IP)
    private String clientIp; // 客户端IP
    @JsonProperty(RecordField.REQUEST_METHOD)
    private String requestMethod; // 请求方法
    @JsonProperty(RecordField.REQUEST_CONTENT_TYPE)
    private String requestContentType; // 请求类型
    @JsonProperty(RecordField.REQUEST_QUERY)
    private Map<String, String> requestQuery; // 请求query
    @JsonProperty(RecordField.REQUEST_HEADER)
    private Map<String, String> requestHeader; // 请求header
    @JsonProperty(RecordField.REQUEST_COOKIE)
    private Map<String, String> requestCookie; // 请求cookie
    @JsonProperty(RecordField.REQUEST_PATH_PARAM)
    private Map<String, String> requestPathParam; // path 参数
    @JsonProperty(RecordField.REQUEST_BODY)
    private String requestBody; // 请求body
    @JsonIgnore
    private byte[] requestBodyRaw; // 原始请求body
    @JsonProperty(RecordField.REQUEST_URI)
    private String requestUri; // 请求接口
}
